using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserCCEditMap : APTEntityBaseMap<T_FM_USER_C_C_EDIT>
	{
		public override void Configure(EntityTypeBuilder<T_FM_USER_C_C_EDIT> builder)
		{
			base.Configure(builder);

			builder.HasOne(t => t.Nav_UserCustomConfig).WithMany(t => t.Nav_Edits)
				.HasForeignKey(t => t.USER_CUSTOM_CONFIG_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_PageEdit).WithMany().HasForeignKey(t => t.PAGE_EDIT_ID).OnDelete(DeleteBehavior.Restrict);
		} 
	}
}
